Bug 124133 - mime-type handling over network protocols is bad
Summary: mime-type handling over network protocols is bad
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-24 12:31 UTC by Bryan Cole
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 20:53:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan Cole 2004-05-24 12:31:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020618

Description of problem:
When accessing documents over http (e.g. WebDav folders), the document
mime-type handling incorrectly uses a web-browser to handle all
http-delivered documents (even when their mime-types have other
document handlers registered). 

When viewing WebDav folders, the contents have correctly assigned
mime-types (e.g. application/msword for a .doc file, in my case). In a
WebDav folder view in Nautilus, selecting right-click->OpenWith brings
up the appropriate assign-application dialog and indicates that
OpenOffice etc. is already assigned to this mime-type (as you'd
expect), but when ever the user tries to open the documents, it
*always* opens it in a web-browser.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always

Steps to Reproduce:
1. Open a WebDav folder in nautilus (maybe other network protocol,
I've not tried) which contains some documents e.g. OpenOffice or Word docs
2. Open a document by double-clicking or right-click->Open
3. Watch the web-browser open up ...
    

Actual Results:  Document is *always* opened in web-browser
irrespective of it's mime-type

Expected Results:  Document should have been openned by the
appropriate registered handlers for it's mime-type

Additional info:

Comment 1 Matthew Miller 2005-04-26 16:37:15 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 John Thacker 2006-04-22 20:53:36 UTC
This WORKSFORME in more recent releases.  As mentioned above, FC2 is Fedora
Legacy (as is FC3) and this is not a security problem.


Note You need to log in before you can comment on or make changes to this bug.